Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.remote
Class RemotePCDataGenerator.PCDataTemplate

    java.lang.Object
      |
      +--kodo.remote.RemotePCDataGenerator.PCDataTemplate

All Implemented Interfaces:
  Externalizable, Serializable

Enclosing class:
  kodo.remote.RemotePCDataGenerator

public static class RemotePCDataGenerator.PCDataTemplate
extends Object
implements Externalizable, Serializable

See Also:
  Serialized Form

Constructor Summary
`RemotePCDataGenerator.PCDataTemplate()`
`RemotePCDataGenerator.PCDataTemplate(PCData data, Class cls)`

Method Summary
`void` | `readExternal(ObjectInput is)`
`Object` | `readResolve()`
`void` | `writeExternal(ObjectOutput os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotePCDataGenerator.PCDataTemplate

    public RemotePCDataGenerator.PCDataTemplate()

### RemotePCDataGenerator.PCDataTemplate

    public RemotePCDataGenerator.PCDataTemplate(PCData data,
                                                Class cls)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput os)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`

### readExternal

    public void readExternal(ObjectInput is)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`

### readResolve

    public Object readResolve()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.